Subject: Re: bug#21722: 25.0.50; Unexpected point position after undo

From: [email-masked] (Phillip Lord)
Date: Fri, 19 Aug 2016 16:45:50 +0100

[email-masked] writes:

> Markus Triska <[email-masked]> writes:
>
>> In "emacs -Q", when I insert into *scratch* the form:
>>
>>    (progn (end-of-line) (insert "\nhi"))
>>
>> then place point on the "g" and press C-M-x C-/, then the insertion is
>> undone, and point remains on the "g", as expected. When I then press:
>>
>>    C-h f C-g C-M-x C-/
>>
>> the insertion is undone, and point is unexpectedly placed at the end of
>> the form instead of remaining on the "g". When I then place point on the
>> "g" again, and again press C-M-x C-/, point again stays on the "g".
>>
>> Thus, point position after undo is sometimes unexpected.
>
> In 25.1-rc1 the point position stays in place for both cases.  So I
> guess this can be considered fixed?
>
> (In 25.0.93 (which I happened to have lying around), it moves in both
> cases)

Sorry, think I just forgot to close this one. Thanks for checking.